Authorization Rules - Event Hubs - List Authorization Rules

이벤트 허브에 대한 권한 부여 규칙을 가져옵니다.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.EventHub/namespaces/{namespaceName}/eventhubs/{eventHubName}/authorizationRules?api-version=2024-01-01

URI 매개 변수

Name In(다음 안에) 필수 형식 Description
eventHubName
path True

string

minLength: 1
maxLength: 256

이벤트 허브 이름

namespaceName
path True

string

minLength: 6
maxLength: 50
pattern: ^[a-zA-Z][a-zA-Z0-9-]{6,50}[a-zA-Z0-9]$

네임스페이스 이름

resourceGroupName
path True

string

minLength: 1
maxLength: 90

Azure 구독 내의 리소스 그룹의 이름입니다.

subscriptionId
path True

string

Microsoft Azure 구독을 고유하게 식별하는 구독 자격 증명입니다. 구독 ID는 모든 서비스 호출에 대한 URI의 일부를 형성합니다.

api-version
query True

string

클라이언트 API 버전입니다.

응답

Name 형식 Description
200 OK

AuthorizationRuleListResult

Event Hub AuthorizationRule이 성공적으로 반환되었습니다.

Other Status Codes

ErrorResponse

작업이 실패한 이유를 설명하는 Eventhub 오류 응답입니다.

보안

azure_auth

Azure Active Directory OAuth2 흐름

형식: oauth2
Flow: implicit
권한 부여 URL: https://login.microsoftonline.com/common/oauth2/authorize

범위

Name Description
user_impersonation 사용자 계정 가장

예제

EventHubAuthorizationRuleListAll

샘플 요청

GET https://management.azure.com/subscriptions/5f750a97-50d9-4e36-8081-c9ee4c0210d4/resourceGroups/ArunMonocle/providers/Microsoft.EventHub/namespaces/sdk-Namespace-960/eventhubs/sdk-EventHub-532/authorizationRules?api-version=2024-01-01

샘플 응답

{
  "value": [
    {
      "id": "/subscriptions/5f750a97-50d9-4e36-8081-c9ee4c0210d4/resourceGroups/ArunMonocle/providers/Microsoft.EventHub/namespaces/sdk-Namespace-960/eventhubs/sdk-EventHub-532/authorizationRules/sdk-Authrules-2513",
      "name": "sdk-Authrules-2513",
      "type": "Microsoft.EventHub/Namespaces/EventHubs/AuthorizationRules",
      "properties": {
        "rights": [
          "Listen",
          "Send"
        ]
      }
    }
  ]
}

정의

Name Description
AccessRights

규칙과 연결된 권한입니다.

AuthorizationRule

List 또는 Get AuthorizationRule 작업의 단일 항목

AuthorizationRuleListResult

네임스페이스 목록 작업의 응답입니다.

createdByType

리소스를 만든 ID의 형식입니다.

ErrorAdditionalInfo

리소스 관리 오류 추가 정보입니다.

ErrorDetail

오류 세부 정보입니다.

ErrorResponse

오류 응답은 Event Hub 서비스가 들어오는 요청을 처리할 수 없음을 나타냅니다. 그 이유는 오류 메시지에 제공됩니다.

systemData

리소스의 생성 및 마지막 수정과 관련된 메타데이터입니다.

AccessRights

규칙과 연결된 권한입니다.

Description
Manage
Send
Listen

AuthorizationRule

List 또는 Get AuthorizationRule 작업의 단일 항목

Name 형식 Description
id

string

리소스에 대한 정규화된 리소스 ID입니다. 예 - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}

location

string

리소스가 있는 지리적 위치

name

string

리소스의 이름

properties.rights

AccessRights[]

규칙과 연결된 권한입니다.

systemData

systemData

이 리소스와 관련된 시스템 메타 데이터입니다.

type

string

리소스의 형식입니다. 예: "Microsoft.EventHub/Namespaces" 또는 "Microsoft.EventHub/Namespaces/EventHubs"

AuthorizationRuleListResult

네임스페이스 목록 작업의 응답입니다.

Name 형식 Description
nextLink

string

다음 결과 집합에 연결합니다. 값에 불완전한 권한 부여 규칙 목록이 포함된 경우 비어 있지 않음

value

AuthorizationRule[]

권한 부여 규칙 목록 작업의 결과입니다.

createdByType

리소스를 만든 ID의 형식입니다.

Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

리소스 관리 오류 추가 정보입니다.

Name 형식 Description
info

object

추가 정보입니다.

type

string

추가 정보 유형입니다.

ErrorDetail

오류 세부 정보입니다.

Name 형식 Description
additionalInfo

ErrorAdditionalInfo[]

오류 추가 정보입니다.

code

string

오류 코드입니다.

details

ErrorDetail[]

오류 세부 정보입니다.

message

string

오류 메시지입니다.

target

string

오류 대상입니다.

ErrorResponse

오류 응답은 Event Hub 서비스가 들어오는 요청을 처리할 수 없음을 나타냅니다. 그 이유는 오류 메시지에 제공됩니다.

Name 형식 Description
error

ErrorDetail

오류 개체입니다.

systemData

리소스의 생성 및 마지막 수정과 관련된 메타데이터입니다.

Name 형식 Description
createdAt

string (date-time)

리소스 만들기의 타임스탬프(UTC)입니다.

createdBy

string

리소스를 만든 ID입니다.

createdByType

createdByType

리소스를 만든 ID의 형식입니다.

lastModifiedAt

string (date-time)

리소스를 마지막으로 수정한 ID의 형식입니다.

lastModifiedBy

string

리소스를 마지막으로 수정한 ID입니다.

lastModifiedByType

createdByType

리소스를 마지막으로 수정한 ID의 형식입니다.